Lightbox Gallery

Activities ::: mod_lightboxgallery
Maintained by Picture of Andrew HancoxAndrew Hancox, Picture of Adam OlleyAdam Olley
This resource allows you to create 'Lightbox' enabled image galleries within your Moodle course. As a course teacher, you are able to create, edit and delete galleries. Smallthumbnails will then be generated, which are used for the thumbnail view of the gallery.
Latest release:
3699 sites
990 downloads
75 fans
Current versions available: 9

Clicking on any of the thumbnails brings that image into focus, and allows you to scroll through the
gallery at your leisure. Using the Lightbox scripts creates nice transition effects when loading and
scrolling through the images.

For Moodle 2.x+, YUI version:

* CREDITS *

Maintained by: Open LMS product team
Original plugin by: Paul Holden <pholden[at]greenhead[dot]ac[dot]uk>.


For the Moodle 1.9 jQuery version:

Moodle jQuery Lightbox Gallery v1.0.0 (16th Nov 11)

* CREDITS *

Ported to jQuery from:
Lightbox Gallery v2.2.1 (12th May 09)
by Paul Holden pholden[at]greenhead[dot]ac[dot]uk
http://moodle.greenhead.ac.uk/external/lightbox_gallery/

Port performed by Andrew Hancox at Kineo.
http://www.kineo.com/


External documentation URL: https://github.com/andrewhancox/Moodle-jQuery-Lightbox-Gallery/wiki
Source control URL: https://github.com/andrewhancox/Moodle-jQuery-Lightbox-Gallery
Bug tracker URL: https://github.com/andrewhancox/Moodle-jQuery-Lightbox-Gallery/issues
Website URL: http://www.kineo.com/

Sets

This plugin is part of set Lightbox Gallery.

Screenshots

Screenshot #0
Screenshot #1

Contributors

Picture of Andrew Hancox
Andrew Hancox (Lead maintainer)
Please login to view contributors details and/or to contact them

Comments RSS

Comments

  • me
    Mon, Oct 15, 2012, 6:29 PM
    Hi. I am using 2.1.1 version of Moodle. I tried to use the .zip file on https://github.com/netspotau/moodle-mod_lightboxgallery but when I installed it, it says:
    Plugin "mod_lightboxgallery" (2012061900) could not be installed. It requires a newer version of Moodle (currently you are using 2011070101, you need 2012062500).

    More information about this error
    Stack trace:

    line 463 of /lib/upgradelib.php: upgrade_requires_exception thrown
    line 265 of /lib/upgradelib.php: call to upgrade_plugins_modules()
    line 1460 of /lib/upgradelib.php: call to upgrade_plugins()
    line 317 of /admin/index.php: call to upgrade_noncore()

    Do you know where I can get a copy of the correct version? Thank you in advance, Sam
  • me
    Mon, Oct 15, 2012, 6:29 PM
    Hi. I am using 2.1.1 version of Moodle. I tried to use the .zip file on https://github.com/netspotau/moodle-mod_lightboxgallery but when I installed it, it says:
    Plugin "mod_lightboxgallery" (2012061900) could not be installed. It requires a newer version of Moodle (currently you are using 2011070101, you need 2012062500).

    More information about this error
    Stack trace:

    line 463 of /lib/upgradelib.php: upgrade_requires_exception thrown
    line 265 of /lib/upgradelib.php: call to upgrade_plugins_modules()
    line 1460 of /lib/upgradelib.php: call to upgrade_plugins()
    line 317 of /admin/index.php: call to upgrade_noncore()

    Do you know where I can get a copy of the correct version? Thank you in advance, Sam
  • me
    Mon, Oct 15, 2012, 6:29 PM
    Hi. I am using 2.1.1 version of Moodle. I tried to use the .zip file on https://github.com/netspotau/moodle-mod_lightboxgallery but when I installed it, it says:
    Plugin "mod_lightboxgallery" (2012061900) could not be installed. It requires a newer version of Moodle (currently you are using 2011070101, you need 2012062500).

    More information about this error
    Stack trace:

    line 463 of /lib/upgradelib.php: upgrade_requires_exception thrown
    line 265 of /lib/upgradelib.php: call to upgrade_plugins_modules()
    line 1460 of /lib/upgradelib.php: call to upgrade_plugins()
    line 317 of /admin/index.php: call to upgrade_noncore()

    Do you know where I can get a copy of the correct version? Thank you in advance, Sam
  • me
    Mon, Oct 15, 2012, 6:30 PM
    Hi. I am using 2.1.1 version of Moodle. I tried to use the .zip file on https://github.com/netspotau/moodle-mod_lightboxgallery but when I installed it, it says:
    Plugin "mod_lightboxgallery" (2012061900) could not be installed. It requires a newer version of Moodle (currently you are using 2011070101, you need 2012062500).

    More information about this error
    Stack trace:

    line 463 of /lib/upgradelib.php: upgrade_requires_exception thrown
    line 265 of /lib/upgradelib.php: call to upgrade_plugins_modules()
    line 1460 of /lib/upgradelib.php: call to upgrade_plugins()
    line 317 of /admin/index.php: call to upgrade_noncore()

    Do you know where I can get a copy of the correct version? Thank you in advance, Sam
  • me
    Mon, Oct 15, 2012, 6:30 PM
    Hi. I am using 2.1.1 version of Moodle. I tried to use the .zip file on https://github.com/netspotau/moodle-mod_lightboxgallery but when I installed it, it says:
    Plugin "mod_lightboxgallery" (2012061900) could not be installed. It requires a newer version of Moodle (currently you are using 2011070101, you need 2012062500).

    More information about this error
    Stack trace:

    line 463 of /lib/upgradelib.php: upgrade_requires_exception thrown
    line 265 of /lib/upgradelib.php: call to upgrade_plugins_modules()
    line 1460 of /lib/upgradelib.php: call to upgrade_plugins()
    line 317 of /admin/index.php: call to upgrade_noncore()

    Do you know where I can get a copy of the correct version? Thank you in advance, Sam
  • Mt. Fuji
    Wed, Oct 31, 2012, 9:19 AM
    Why 6 posts here with the exact same content?

    I have a question about this plugin. I have installed it on 2.2.1+ and everything works fine except:

    When I upload pictures (individually or in a zipped directory) they do not get resized even though I have the resize option turned on. Is there an additional component required on my server to make this work?

    Thanks in advance

    Jason
  • Picture of Adam Olley
    Wed, Oct 31, 2012, 9:36 AM
    Hi Jason,
    "Why 6 posts here with the exact same content?"
    I'm guessing she clicked "save comment" 6 times :P

    "When I upload pictures (individually or in a zipped directory) they do not get resized even though I have the resize option turned on. Is there an additional component required on my server to make this work?"

    I've updated the M2.3 and M2.2 downloads for this to have the latest fixes around the resizing stuff.
  • Mt. Fuji
    Thu, Nov 1, 2012, 12:36 PM
    Adam,
    Thanks for the quick reply. I'm sitting here at the moment resizing pics one at a time sad so I'm excited to hear that an updated version is available. I will download, reinstall, and try again.
    Thanks again!
    Jason
  • Mt. Fuji
    Tue, Nov 6, 2012, 11:55 AM
    Adam,
    Thanks again. I can confirm that it works correctly (for the most part) now. I say "for the most part" because I've had some strange issues with pictures that were resized reverting back to the original resolution and after installing the new version I had to go back and manually resize all my pictures. For some reason the screen resize function wasn't working.
    At any rate, the upload resize now works so we are in the clear for now.
    Thanks again
    Jason
  • Picture of Hellmuth Sole
    Fri, Nov 23, 2012, 6:51 AM
    Hi guys, quick question. I had Paul's plugin before on my 1.9.3 site, however now with a v2.3 site, one important item is missing from Paul's functionality, which is importing IPTC tags (keywords) from files in a gallery. This basically allows you to use software to assign keywords to files and then have the gallery just read them and then create the search terms based on this. Any possibility of adding this functionality? It's all I'm missing to have my perfect Moodle site!!
  • Picture of Adam Olley
    Mon, Nov 26, 2012, 9:06 AM
    Hellmuth Sole: Grab the latest copy of the code from the github repo. I've just added IPTC tag importing like the 1.9 version had. It doesn't require a plugin upgrade to use or anything, so if it shows any issues you can safely replace the code with what you're currently using.
  • bee
    Thu, Nov 29, 2012, 1:48 AM
    I'm attempting to restore Lightbox Gallery resources from a Moodle v1.9 course archive to Moodle v2.2. LbG is installed and running fine on M2.2. But during the Restore process, the LbG resources aren't appearing on the Restore schema list. When I manually unpack the zip archive, I can see the image files used and find entries for the LbG resources in the moodle.xml file. My teacher would be grateful not to have to reproduce the image captions manually.
  • Picture of Adam Olley
    Thu, Nov 29, 2012, 7:09 AM
    Hi Donna,
    LBG currently does not restore m1.9 galleries to m2.x. This is an often requested feature however. So it's definitely something I'm looking at implementing soon.
  • Picture of Andy Madin
    Thu, Dec 6, 2012, 10:13 PM
    Hi there, I seem to be getting similar issues to what Jason was having, when setting the options to resize to screen this appear to have no effect and the images in our photography class are coming out 12 times the size of the monitor!

    Have tried it on our live Moodle 2.2 and our completely vanilla 2.3 with both the 2.2 and 2.3 versions of lightbox and cannot get it to work as it did in 1.9.

    Does anyone have any suggestions?
  • Just wondering . . .
    Thu, Mar 14, 2013, 8:36 AM
    No reviews, only old posts, which could mean everything is working fine with Moodle 2.4.
    I'm just curious, does this work with 2.4.1 OK?
    Is there anywhere on the Net where we can see it working?
    -Derek
Please login to post comments